﻿using Syncfusion.UI.Xaml.Charts;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Diagnostics;
using System.IO;
using System.Linq;
using System.Runtime.InteropServices.WindowsRuntime;
using Windows.Foundation;
using Windows.Foundation.Collections;
using Windows.UI;
using Windows.UI.Xaml;
using Windows.UI.Xaml.Controls;
using Windows.UI.Xaml.Controls.Primitives;
using Windows.UI.Xaml.Data;
using Windows.UI.Xaml.Input;
using Windows.UI.Xaml.Media;
using Windows.UI.Xaml.Navigation;

// The Blank Page item template is documented at http://go.microsoft.com/fwlink/?LinkId=402352&clcid=0x409

namespace App2
{
    /// <summary>
    /// An empty page that can be used on its own or navigated to within a Frame.
    /// </summary>
    public sealed partial class MainPage : Page
    {
        Trendline Trendline_R, Trendline_M;
        public MainPage()
        {
            this.InitializeComponent();

            Trendline_R = new Trendline()
            {
                Label = "Reference Cell",
                IsTrendlineVisible = true,
                Type = TrendlineType.Linear
            };

            Trendline_M = new Trendline()
            {
                Label = "Measurement Cell",
                IsTrendlineVisible = true,
                Type = TrendlineType.Linear
            };
            
            series1.Trendlines.Add(Trendline_R);
            series2.Trendlines.Add(Trendline_M);

        
        }

        private void Chart_Loaded(object sender, RoutedEventArgs e)
        {
            Debug.WriteLine("Reference: Slope = " + Trendline_R.Slope.ToString() + ", Intercept = " + Trendline_R.Intercept.ToString());
            Debug.WriteLine("Measurement: Slope = " + Trendline_M.Slope.ToString() + ", Intercept = " + Trendline_M.Intercept.ToString());

        }
    }

    public class Model
    {
        public double XValue { get; set; }

        public double YValue { get; set; }

        public Model(double x,double y)
        {
            XValue = x;
            YValue = y;
        }
    }

    public class ViewModel
    {
        public ViewModel()
        {
            Data = new ObservableCollection<Model>();
            Random rd = new Random();

            for (int i = 0; i < 10; i++)
            {
                Data.Add(new Model(i, rd.Next(10, 100)));
            }
        }

        public ObservableCollection<Model> Data { get; set; }
    }
}
